OS_RNG_Err Class Reference

Exception thrown when an operating system error is encountered. More...

Inheritance diagram for OS_RNG_Err:

## Public Member Functions

| OS_RNG_Err (const std::string &operation)
| Constructs an OS_RNG_Err. More...
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED, INVALID_ARGUMENT, CANNOT_FLUSH, DATA_INTEGRITY_CHECK_FAILED, INVALID_DATA_FORMAT, IO_ERROR, OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when an operating system error is encountered.

Definition at line 25 of file osrng.h.

## Constructor & Destructor Documentation

## OS_RNG_Err()

OS_RNG_Err::OS_RNG_Err | ( | const std::string & | operation | ) |

Constructs an OS_RNG_Err.

Parameters

  operation | the operation or API call when the error occurs

Definition at line 60 of file osrng.cpp.

The documentation for this class was generated from the following files:

- osrng.h
- osrng.cpp